%bcond_with anthy

Summary:        Multilingual text library
Name:           m17n-lib
Version:        1.8.3
Release:        3%{?dist}
License:        LGPLv2+
URL:            http://www.nongnu.org/m17n/
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
Patch3000:      %{name}-1.8.0-multilib.patch

BuildRequires:  make autoconf automake libtool
BuildRequires:  m17n-db-devel libthai-devel libxml2-devel libXft-devel
BuildRequires:  fontconfig-devel freetype-devel fribidi-devel gd-devel
BuildRequires:  libXaw-devel libotf-devel gettext-devel
%if %{with anthy}
BuildRequires:  anthy-devel
%endif
Requires:       m17n-db
Provides: bundled(gnulib)


%description
m17n-lib is a multilingual text processing library for the C language.This package provides the 
core and input method backend libraries.

%if %{with anthy}
%package  anthy
Summary:  Anthy module for m17n
Requires: %{name} = %{version}-%{release}

%description anthy
This package provides anthy module for %{name} allows ja-anthy.mim to support input conversion.
%endif

%package  devel
Summary:  Development files for %{name}
Requires: %{name}-tools = %{version}-%{release}

%description devel
This package provides development files for %{name}.

%package  tools
Summary:  The m17n GUI Library tools
Requires: m17n-db-extras
Requires: %{name} = %{version}-%{release}

%description tools
This package provides tools to test M17n GUI widget library.


%prep
%autosetup -p1

%build
%configure --disable-rpath --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/m17n/1.0/libmimx-ispell.so

%if %{without anthy}
rm %{buildroot}%{_libdir}/m17n/1.0/libmimx-anthy.so
%endif

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc AUTHORS NEWS ChangeLog README
%dir %{_libdir}/m17n
%dir %{_libdir}/m17n/1.0
%{_bindir}/m17n-conv
%{_libdir}/libm17n.so.*
%{_libdir}/libm17n-core.so.*
%{_libdir}/libm17n-flt.so.*

%if %{with anthy}
%files anthy
%{_libdir}/m17n/1.0/libmimx-anthy.so
%endif

%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files tools
%{_bindir}/m17n-date
%{_bindir}/m17n-dump
%{_bindir}/m17n-edit
%{_bindir}/m17n-view
%{_libdir}/m17n/1.0/libm17n-X.so
%{_libdir}/m17n/1.0/libm17n-gd.so
%{_libdir}/libm17n-gui.so.*

%changelog
* Wed Dec 27 2023 Rebuild Robot <rebot@opencloudos.org> - 1.8.3-3
- Rebuilt for libotf

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Wang Guodong <gordonwwang@tencent.com> - 1.8.3-1
- Upgrade to version 1.8.3

* Thu Aug 17 2023 kianli@tencent.com - 1.8.0-4
- Rebuilt for libXft 2.3.8

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Wang Guodong <gordonwwang@tencent.com> - 1.8.0-1
- initial build
